package com.lmert.util;


import java.net.*;
import java.io.IOException;

public class JProxy implements Runnable {

   int port = 4111;
   boolean quit_flag;

   public void run() {
      try {
	 ServerSocket ssock = new ServerSocket(port);
	 Socket sock;

	 while (!quit_flag) {
	    sock = ssock.accept();

	    (new Thread(new ClientConn(sock))).start();
	 }

      } catch (IOException e) {
	 e.printStackTrace();
	 System.exit(1);
      }
   }


   public static void main(String args[])  {

      (new Thread(new JProxy())).start();

   }

}
